---
layout: doc
title: <i class="fa fa-user" aria-hidden="true"></i> User manual&#58;
---

## 1) [Main concepts and components](/docs/main-concepts-and-components.html)

## 2) Authentication mechanisms:

### &#9656; [Clients](/docs/clients.html): [OAuth](/docs/clients/oauth.html) - [SAML](/docs/clients/saml.html) - [CAS](/docs/clients/cas.html) - [OpenID Connect](/docs/clients/openid-connect.html) - [HTTP](/docs/clients/http.html) - [OpenID](/docs/clients/openid.html) - [Google App Engine](/docs/clients/google-app-engine.html)

### &#9656; [Authenticators](/docs/authenticators.html): [LDAP](/docs/authenticators/ldap.html) - [SQL](/docs/authenticators/sql.html) - [JWT](/docs/authenticators/jwt.html) - [MongoDB](/docs/authenticators/mongodb.html) - [Stormpath](/docs/authenticators/stormpath.html) - [IP address](/docs/authenticators/ip.html)

## 3) Authorization mechanisms: [Authorizers](/docs/authorizers.html)

### &#9656; [Roles / permissions](/docs/authorizers/profile-authorizers.html#roles--permissions) - [Anonymous / remember-me / (fully) authenticated](/docs/authorizers/profile-authorizers.html#authentication-levels) - [Profile type, attribute](/docs/authorizers/profile-authorizers.html#others)

### &#9656; [CORS](/docs/authorizers/web-authorizers.html#cors) - [CSRF](/docs/authorizers/web-authorizers.html#csrf) - [Security headers](/docs/authorizers/web-authorizers.html#security-headers) - [IP address, HTTP method](/docs/authorizers/web-authorizers.html#others)

## 4) [Security configuration](/docs/config.html)

## 5) [User profile](/docs/user-profile.html)

## 6) [SessionStore](/docs/session-store.html) and [matchers](/docs/matchers.html)

## 7) [Release notes](/docs/release-notes.html) / [Backward compatibility](/docs/backward-compatibility.html)

## 8) [Authentication flows](/docs/authentication-flows.html) / [Big picture](/docs/big-picture.html)

---

<h1 class="text-center"><span class="alert alert-warning"><i class="fa fa-file-code-o" aria-hidden="true"></i> Developer Manual&#58;</span></h1><br />

## 1) [Customizations](/docs/customizations.html)

## 2) [Javadoc](http://www.pac4j.org/apidocs/pac4j/1.9.1/index.html)

## 3) [How to implement `pac4j` for a new framework / tool](/docs/how-to-implement-pac4j-for-a-new-framework.html)

## 4) [Tests strategy](/docs/tests-strategy.html)

## 5) [Release process](/docs/release-process.html)
